rust-brotli-decompressor 2.3.4-1 source package in Ubuntu

Changelog

rust-brotli-decompressor (2.3.4-1) unstable; urgency=medium

  * Team upload.
  * Package brotli-decompressor 2.3.4 from crates.io using debcargo 2.6.0
  * Mark tests for the all features case as broken (See: #1032446)
  * Tweak newly added upstream test to be compatible with rustc 1.63.

 -- Peter Michael Green <email address hidden>  Tue, 07 Mar 2023 04:11:50 +0000

Upload details

Uploaded by:
Rust Maintainers
Uploaded to:
Sid
Original maintainer:
Rust Maintainers
Architectures:
any
Section:
misc
Urgency:
Medium Urgency

See full publishing history Publishing

Series Pocket Published Component Section
Mantic release universe misc
Lunar release universe misc

Downloads

File Size SHA-256 Checksum
rust-brotli-decompressor_2.3.4-1.dsc 2.4 KiB 4e6387cba8c9fde2d2e5337ae9649e25fb5eb1db544db220fe3f15a341483b89
rust-brotli-decompressor_2.3.4.orig.tar.gz 187.6 KiB 4b6561fd3f895a11e8f72af2cb7d22e08366bebc2b6b57f7744c4bda27034744
rust-brotli-decompressor_2.3.4-1.debian.tar.xz 5.9 KiB 0ab48331a2617abebac1d96cfd3a69a70c4ed4778c36ab9757a5dea015d00046

Available diffs

No changes file available.

Binary packages built by this source

librust-brotli-decompressor-dev: Brotli decompressor library avoiding the rust stdlib - Rust source code

 This makes it suitable for embedded devices and kernels. It is designed with a
 pluggable allocator so that the standard lib's allocator may be employed. The
 default build also includes a stdlib allocator and stream interface. Disable
 this with --features=no-stdlib. Alternatively, --features=unsafe turns off
 array bounds checks and memory initialization but provides a safe interface
 for the caller. Without adding the --features=unsafe argument, all included
 code is safe. For compression in addition to this library, download https://
 github.com/dropbox/rust-brotli
 .
 Source code for Debianized Rust crate "brotli-decompressor"